Announcements
Known issues updated. Learn more

default

no

I'm receiving an error message "ImportError: Bundle could not be loaded". Why & what can I do?

Explorer | Level 3

I've been using Mac Dropbox on various bootable external drives, i.e., each with its own OS, DB app, DB folder, and DB folder selections for years without problem. But recently, when starting up from one external drive (an SSD), DB said that the app couldn't start and generated a <error….txt> file

Is this a known problem?

9 Replies

Re: external drive as startup drive

Dropboxer
Hey dorkenergy, thanks for checking in with us on the Community! 
 
For starters, it would be best to avoid storing the Dropbox folder on an external location, since there's a small—but real—chance that the app will start deleting files if you accidentally remove the drive without disconnecting the Dropbox folder first. Nonetheless, from what I gather from your description, it looks like you received a permissions error, so just in order to determine the best next steps for you, could you include the text file of the error message in your next reply here, so as to further advise? 
 
Whenever you let me know of a bit more detail on the matter, ‘ll make sure to evaluate what’s happening & send you the most appropriate next steps to follow. Thanks & enjoy the rest of your day until we talk again! 

 


Jane
Community Moderator @ Dropbox
https://dropbox.com/support


 


Heart Did this post help you? If so please give it a Like below. 
White check mark Did this post fix your issue/answer your question? If so please press the 'Accept as Best Answer' button to help others find it.
Arrows Counter Clock Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Reply
Loading...

Re: external drive as startup drive

Explorer | Level 3

Thx -- As I read it, that discussion of external location is not referring to using the external drive as a startup drive with its own OS and DB folder but rather to starting up on the main drive and 'moving' the DB folder to the external drive. Re permissions, Disk First Aid didn't find any problems.

The error file is attached.

Text of msg: "Couldn't start Dropbox. This is usually because of a permissions error. Storing your home folder on a network share can also cause an error. …"

It's not a network share.

Also, I thought I uploaded the error file with my first version of this reply; but I don't see it now. Is it visible to you as Moderator?

Reply
Loading...

Re: external drive as startup drive

Super User II

You need to copy and paste the content of the text file into your post.

Reply
Loading...

Re: external drive as startup drive

Dropboxer
Thanks for checking back with me here @dorkenergy! I have now searched on our Spam filter & I couldn’t locate anything that could have been hooked there accidentally. That said, Rich’s advice should be the best way to go, so as to further advise you on how to bypass this issue. 
 
As I read it, that discussion of external location is not referring to using the external drive as a startup drive with its own OS and DB folder but rather to starting up on the main drive and 'moving' the DB folder to the external drive. 
 
Following-up on your description now, the question that arises is whether the Dropbox folder is located on the external drive & if your OS is set to see it upon startup, could you clarify whether this is happening in your next message if possible? 
 
Thanks again & I’ll be awaiting to hearing back from you with this text message! 

 


Jane
Community Moderator @ Dropbox
https://dropbox.com/support


 


Heart Did this post help you? If so please give it a Like below. 
White check mark Did this post fix your issue/answer your question? If so please press the 'Accept as Best Answer' button to help others find it.
Arrows Counter Clock Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Reply
Loading...

Re: external drive as startup drive

Explorer | Level 3

@Rich  — thx

@Jane— In terms of your phrasing: The Dropbox folder is located on the external drive & the OS is set to see it upon startup.

I formatted the drive; made it bootable; put an OS on it; downloaded the DB app to that external drive; used default settings so as to create a fresh, empty DB folder on that external drive; and selected which folders to sync (i.e., download) from the DB server.

I'm talking about starting up from the external drive, using the DB app on the external drive, and the DB folder on the external drive. The setup on the external drive is entirely separate from the setup on the internal drive — nothing copied, no symlinks.

The error text file is below:

bn.BUILD_KEY: Dropbox
bn.VERSION: 78.4.119
bn.DROPBOXEXT_VERSION: failed
bn.is_frozen: True
machine_id: 52dda8e7-2624-5803-a951-94f47936e6fe
pid: 385
ppid: 1
uid: 501
user_info: pwd.struct_passwd(pw_name='myname', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='myname', pw_dir='/Users/myname', pw_shell='/bin/bash')
effective_user_info: pwd.struct_passwd(pw_name='myname', pw_passwd='********', pw_uid=501, pw_gid=20, pw_gecos='myname', pw_dir='/Users/myname', pw_shell='/bin/bash')
euid: 501
gid: 20
egid: 20
group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
effective_group_info: grp.struct_group(gr_name='staff', gr_passwd='*', gr_gid=20, gr_mem=['root'])
DYLD_LIBRARY_PATH: None
cwd: '/'
real_path='/'
mode=0o40755 uid=0 gid=0
parent mode=0o40755 uid=0 gid=0
HOME: '/Users/myname'
appdata: '/Users/myname/.dropbox/instance1'
real_path='/Users/myname/.dropbox/instance1'
mode=0o40700 uid=501 gid=20
parent mode=0o40700 uid=501 gid=20
dropbox_path: '/Users/myname/Dropbox'
real_path='/Users/myname/Dropbox'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
sys_executable: '/Applications/Dropbox.app/Contents/MacOS/Dropbox'
real_path='/Applications/Dropbox.app/Contents/MacOS/Dropbox'
mode=0o100755 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
trace.__file__: '/Applications/Dropbox.app/Contents/Resources/python-resources/python-packages-37.zip/dropbox/client/ui/common/boot_error.pyc'
real_path='/Applications/Dropbox.app/Contents/Resources/python-resources/python-packages-37.zip/dropbox/client/ui/common/boot_error.pyc'
not found
parent not found
tempdir: '/var/folders/wl/hh553zt54wz7tcp4lww_w9cw0000gn/T'
real_path='/private/var/folders/wl/hh553zt54wz7tcp4lww_w9cw0000gn/T'
mode=0o40700 uid=501 gid=20
parent mode=0o40755 uid=501 gid=20
Traceback (most recent call last):
File "objc/_lazyimport.pyc", line 39, in _loadBundle
ImportError: Bundle could not be loaded

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
File "dropbox/client/main.pyc", line 7212, in main_startup
File "dropbox/client/main.pyc", line 3262, in run
File "ui/common/uikit.pyc", line 868, in create_ui_kit
File "ui/cocoa/uikit.pyc", line 45, in <module>
File "Tungsten/__init__.pyc", line 30, in <module>
File "objc/_lazyimport.pyc", line 84, in __init__
File "objc/_lazyimport.pyc", line 46, in _loadBundle
ImportError: Bundle could not be loaded

Reply
Loading...

Re: external drive as startup drive

Explorer | Level 3

@Jane I replied to your last. Also, another q — where in the forum settings does one set an email to be notified of responses? Thx

Reply
Loading...

Re: external drive as startup drive

Dropboxer
Thank you for pinging me back here dorkenergy with this error message & the additional clarifications, let’s take it from where we’ve left off! 
 
For starters, kindly note that you should be receiving emails from the thread as long as you’ve subscribed through the top 💬 (elipsis) option on this very thread. 
 
[Edit: I've searched a bit more on the Community for this error message & I could see that this has been resolved with the advice I had posted here. Would you mind giving it a go as well to see if this helps you fix that?]
 
In any event, I’ve just sent you a brief message, just so as to have a closer look at your account-specifics regarding the error message you received through our Official Support channel. Please have a look at your inbox at your earliest convenience if you'd like to continue  working on that with me!

 


Jane
Community Moderator @ Dropbox
https://dropbox.com/support


 


Heart Did this post help you? If so please give it a Like below. 
White check mark Did this post fix your issue/answer your question? If so please press the 'Accept as Best Answer' button to help others find it.
Arrows Counter Clock Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Reply
Loading...

Re: external drive as startup drive

Explorer | Level 3

@JaneThx …

Re email … My q is: Where do I set my email address? I don't recall being asked for one in registering this account and nothing has appeared in my email.

And by 'inbox', are you referring to my email inbox or to a message inbox in this forum?

Re the problem itself, the error appeared the first 4 times I started up from that drive. I searched for "bn.DROPBOXEXT_VERSION: failed" in the error and found this link.

As it happened, when I started up for the 5th time, the drive and DB started up without problem. But just to be cautious, I ran the "sudo mv ~/.dropbox ~/.Trash/dropbox.old" and logging back in mentioned in that link.

It's still resyncing. I'll report back after seeing how that works out.

Reply
Loading...

Re: external drive as startup drive

Dropboxer
Thanks for keeping in touch with me here @dorkenergy; let me further clarify in a bit more detail! 
 
Where do I set my email address? I don't recall being asked for one in registering this account and nothing has appeared in my email.
 
You should be able to see the email address for your Dropbox account on your Account settings & it matches the one you’ve registered under on the Community. Would you mind following the following set of steps for me once & see if you're checking the right inbox? 
 
More information
  • As you’re signed in in the Community, navigate on the top-left hand corner & click on the Dropbox icon there.
  • This should re-direct you to the Dropbox account connected to your Community profile. From there, navigate on the smiley-face. 😊
  • Click once there & click on Settings.
  • Under the “Name” field, you should see your email address. Are you checking this inbox? Could you have an extra look at your Spam folder for me please? 
Re the problem itself, the error appeared the first 4 times I started up from that drive.
 
Kindly note that the permissions error message reported on the thread you mentioned is slightly different than the one you’ve been describing here, so I’d recommend giving the installation a bit of time & not delete the previous settings just yet. 
 
Last but not least, this is also a direct line of communication with me, so please feel free to get back in touch on our discussion here to let me know of any update if that’s more convenient to you. Thanks again for all your time & efforts!

 


Jane
Community Moderator @ Dropbox
https://dropbox.com/support


 


Heart Did this post help you? If so please give it a Like below. 
White check mark Did this post fix your issue/answer your question? If so please press the 'Accept as Best Answer' button to help others find it.
Arrows Counter Clock Still stuck? Ask me a question! (
Questions asked in the community will likely receive an answer within 4 hours!)

Reply
Loading...
Installation and Desktop App Issues

Have a question? Our Dropbox Community is here to help!

Post your question or search for an answer below.


Learn more about using the Community by reading our Community Guidelines.


Hi anonymous,

If you need more help you can log a ticket with our Support Team here (expected response time 24 hours), or contact us on Twitter or Facebook.

For more info on available support options, see this article.

If you found the answer to your question, please 'like' the post to say thanks to the user!

I'm receiving an error message "ImportError: Bundle could not be loaded". Why & what can I do?
330 Views
9 Replies
0 Likes
Who's talking
Top contributors to this post